#import "~/graphql_shared/fragments/user.fragment.graphql"

fragment WorkItem on WorkItem {
  id
  title
  state
  description
  confidential
  workItemType {
    id
    name
  }
  userPermissions {
    deleteWorkItem
    updateWorkItem
  }
  widgets {
    ... on WorkItemWidgetDescription {
      type
      description
      descriptionHtml
    }
    ... on WorkItemWidgetAssignees {
      type
      allowsMultipleAssignees
      assignees {
        nodes {
          ...User
        }
      }
    }
    ... on WorkItemWidgetWeight {
      type
      weight
    }
    ... on WorkItemWidgetHierarchy {
      type
      parent {
        id
        iid
        title
        confidential
      }
      children {
        nodes {
          id
        }
      }
    }
  }
}
